中危 Aide 缓冲区错误漏洞

CVE编号

CVE-2021-45417

利用情况

暂无

补丁情况

官方补丁

披露时间

2022-01-21
漏洞描述
Aide是一个监控文件系统变化的工具。可以使用检测未经授权的受监控文件和目录。

AIDE 存在缓冲区错误漏洞,该漏洞源于 AIDE 的 base64 函数中存在基于堆的缓冲区溢出漏洞。 攻击者可以使程序崩溃,并可能通过大型(<16k)扩展文件属性或 ACL 执行任意代码。
解决建议

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://www.openwall.com/lists/oss-security/2022/01/20/3
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 advanced_intrusion_detection_environment_project advanced_intrusion_detection_environment * From
(including)
0.13
Up to
(including)
0.17.3
运行在以下环境
应用 redhat ovirt-node 4.4.10 -
运行在以下环境
应用 redhat virtualization_host 4.0 -
运行在以下环境
系统 alibaba_cloud_linux_2.1903 aide * Up to
(excluding)
0.15.1-13.1.al7.1
运行在以下环境
系统 amazon_AMI aide * Up to
(excluding)
0.14-7.9.amzn1
运行在以下环境
系统 centos_7 aide * Up to
(excluding)
0.15.1-13.el7_9.1
运行在以下环境
系统 centos_8 aide * Up to
(excluding)
0.16-14.el8_5.1
运行在以下环境
系统 debian_10 aide * Up to
(excluding)
0.16.1-1+deb10u1
运行在以下环境
系统 debian_11 aide * Up to
(excluding)
0.17.3-4+deb11u1
运行在以下环境
系统 debian_9 aide * Up to
(excluding)
0.16-1+deb9u1
运行在以下环境
系统 opensuse_Leap_15.3 aide * Up to
(excluding)
0.16-24.1
运行在以下环境
系统 opensuse_Leap_15.4 aide * Up to
(excluding)
0.16-24.1
运行在以下环境
系统 oracle_6 aide * Up to
(excluding)
0.14-11.0.1.el6
运行在以下环境
系统 oracle_7 aide * Up to
(excluding)
0.15.1-13.0.1.el7_9.1
运行在以下环境
系统 oracle_8 aide * Up to
(excluding)
0.16-14.el8_5.1
运行在以下环境
系统 redhat_6 aide * Up to
(excluding)
0:0.14-11.el6_10.1
运行在以下环境
系统 redhat_7 aide * Up to
(excluding)
0:0.15.1-13.el7_9.1
运行在以下环境
系统 redhat_8 aide * Up to
(excluding)
0.16-14.el8_5.1
运行在以下环境
系统 suse_12_SP5 aide * Up to
(excluding)
0.16-20.15.1
运行在以下环境
系统 ubuntu_14.04 aide * Up to
(excluding)
0.16~a2.git20130520-2ubuntu0.1+esm1
运行在以下环境
系统 ubuntu_16.04 aide * Up to
(excluding)
0.16~a2.git20130520-3ubuntu0.1~esm1
运行在以下环境
系统 ubuntu_18.04 aide * Up to
(excluding)
0.16-3ubuntu0.1
运行在以下环境
系统 ubuntu_20.04 aide * Up to
(excluding)
0.16.1-1ubuntu0.1
运行在以下环境
系统 ubuntu_21.04 aide * Up to
(excluding)
0.17.3-1ubuntu0.1
运行在以下环境
系统 ubuntu_21.10 aide * Up to
(excluding)
0.17.3-4ubuntu0.1
阿里云评分
6.3
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-787 跨界内存写
阿里云安全产品覆盖情况